<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" 
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<!-- @author Dmitry Repchevsky -->

<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:f="http://java.sun.com/jsf/core"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:p="http://primefaces.org/ui"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets">

    <h:head>
        <style type="text/css">
            
        </style>
    </h:head>
    <body>
        <ui:composition>
            <p:dataTable id="tools_table" class="tools-table"
                         var="tool" value="#{tools_view.model}" scrollRows="20" scrollable="true"
                         virtualScroll="true" scrollHeight="100%" lazy="true" rows="40">
                <f:ajax event="rowSelect" listener="#{tools_view.onRowSelect}" render=":form" />

                <p:column styleClass="icons-column" width="210px">
                    <f:facet id="icon_column_header" name="header">

                        <p:commandLink styleClass="icons-button" update="form:tools_table">
                            <f:setPropertyActionListener target="#{tools_view.model.provider}" value="BIOTOOLS"/>
                            <h:graphicImage rendered="#{tools_view.model.filters.contains('BIOTOOLS')}" value="/web/img/biotools-icon.png" class="provider-icon"/>
                            <h:graphicImage rendered="#{!tools_view.model.filters.contains('BIOTOOLS')}" value="/web/img/biotools-icon-off.png" class="provider-icon"/>
                        </p:commandLink>
                        <p:commandLink styleClass="icons-button" update="form:tools_table">
                            <f:setPropertyActionListener target="#{tools_view.model.provider}" value="BIOCONDA"/>
                            <h:graphicImage rendered="#{tools_view.model.filters.contains('BIOCONDA')}" value="/web/img/bioconda-icon.png" class="provider-icon"/>
                            <h:graphicImage rendered="#{!tools_view.model.filters.contains('BIOCONDA')}" value="/web/img/bioconda-icon-off.png" class="provider-icon"/>
                        </p:commandLink>
                        <p:commandLink styleClass="icons-button" update="form:tools_table">
                            <f:setPropertyActionListener target="#{tools_view.model.provider}" value="BIOCONTAINERS"/>
                            <h:graphicImage rendered="#{tools_view.model.filters.contains('BIOCONTAINERS')}" value="/web/img/biocontainers-icon.png" class="provider-icon"/>
                            <h:graphicImage rendered="#{!tools_view.model.filters.contains('BIOCONTAINERS')}" value="/web/img/biocontainers-icon-off.png" class="provider-icon"/>
                        </p:commandLink>
                        <p:commandLink styleClass="icons-button" update="form:tools_table">
                            <f:setPropertyActionListener target="#{tools_view.model.provider}" value="GALAXY"/>
                            <h:graphicImage rendered="#{tools_view.model.filters.contains('GALAXY')}" value="/web/img/galaxy-icon.png" class="provider-icon"/>
                            <h:graphicImage rendered="#{!tools_view.model.filters.contains('GALAXY')}" value="/web/img/galaxy-icon-off.png" class="provider-icon"/>
                        </p:commandLink>
                        <p:commandLink styleClass="icons-button" update="form:tools_table">
                            <f:setPropertyActionListener target="#{tools_view.model.provider}" value="DEBIAN"/>
                            <h:graphicImage rendered="#{tools_view.model.filters.contains('DEBIAN')}" value="/web/img/debianmed-icon.png" class="provider-icon"/>
                            <h:graphicImage rendered="#{!tools_view.model.filters.contains('DEBIAN')}" value="/web/img/debianmed-icon-off.png" class="provider-icon"/>
                        </p:commandLink>
                        <p:commandLink styleClass="icons-button" update="form:tools_table">
                            <f:setPropertyActionListener target="#{tools_view.model.provider}" value="BIOSCHEMAS"/>
                            <h:graphicImage rendered="#{tools_view.model.filters.contains('BIOSCHEMAS')}" value="/web/img/bioschemas-icon.png" class="provider-icon"/>
                            <h:graphicImage rendered="#{!tools_view.model.filters.contains('BIOSCHEMAS')}" value="/web/img/bioschemas-icon-off.png" class="provider-icon"/>
                        </p:commandLink>
                        <p:commandLink styleClass="icons-button" update="form:tools_table">
                            <f:setPropertyActionListener target="#{tools_view.model.provider}" value="OPENEBENCH"/>
                            <h:graphicImage rendered="#{tools_view.model.filters.contains('OPENEBENCH')}" value="/web/img/openebench-icon.png" class="provider-icon"/>
                            <h:graphicImage rendered="#{!tools_view.model.filters.contains('OPENEBENCH')}" value="/web/img/openebench-icon-off.png" class="provider-icon"/>
                        </p:commandLink>
                        <p:commandLink styleClass="icons-button" update="form:tools_table">
                            <f:setPropertyActionListener target="#{tools_view.model.provider}" value="BIOIMAGE"/>
                            <h:graphicImage rendered="#{tools_view.model.filters.contains('BIOIMAGE')}" value="/web/img/bioimage-icon.png" class="provider-icon"/>
                            <h:graphicImage rendered="#{!tools_view.model.filters.contains('BIOIMAGE')}" value="/web/img/bioimage-icon-off.png" class="provider-icon"/>
                        </p:commandLink>
                    </f:facet>

                    <ui:repeat value="#{tool.providers}" var="provider">
                        <h:panelGroup id="providers" class="tool-type">
                            <h:graphicImage rendered="#{provider eq 'BIOTOOLS'}" value="/web/img/biotools-icon.png" class="provider-icon"/>
                            <h:graphicImage rendered="#{provider eq 'OPENEBENCH'}" value="/web/img/openebench-icon.png" class="provider-icon"/>
                            <h:graphicImage rendered="#{provider eq 'BIOSCHEMAS'}" value="/web/img/bioschemas-icon.png" class="provider-icon"/>
                            <h:graphicImage rendered="#{provider eq 'BIOCONDA'}" value="/web/img/bioconda-icon.png" class="provider-icon"/>
                            <h:graphicImage rendered="#{provider eq 'BIOCONTAINERS'}" value="/web/img/biocontainers-icon.png" class="provider-icon"/>
                            <h:graphicImage rendered="#{provider eq 'DEBIAN'}" value="/web/img/debianmed-icon.png" class="provider-icon"/>
                            <h:graphicImage rendered="#{provider eq 'BIOIMAGE'}" value="/web/img/bioimage-icon.png" class="provider-icon"/>
                        </h:panelGroup> 
                    </ui:repeat>


                </p:column>
                
                <p:column styleClass="id-column">
                    <f:facet id="icon_column_header" name="header">
                        <h:outputText value="name:"/>
                        <p:inputText id="search"
                            value="#{tools_view.model.filter}"
                            autocomplete="off"
                            style="width:200px; padding: 0 4px 0 4px; margin-left: 8px"
                            class="id-column-search"
                            placeholder="text">
                            <p:ajax event="keyup" listener="#{tools_view.reset}"
                                delay="300" update="form:tools_table" />
                        </p:inputText>
                    </f:facet>

                    <h:outputLink id="name" value="#{tool.uri}" target="_blank"  class="tool-name-column">#{tool.name}</h:outputLink>
                   
                </p:column>

                <p:column headerText="description" styleClass="description-column" width="70%">
                    <h:outputText id="description" value="#{tool.description}" class="tool-description" />
                    <p:tooltip for="description"
                               position="bottom"
                               styleClass="description-tooltip"
                               value="#{tool.description}" 
                               showDelay="0"/>
                </p:column>

            </p:dataTable>
        </ui:composition>
     </body>
</html>